Module java.desktop
Package javax.sound.sampled

# Class Mixer.Info

java.lang.Object
javax.sound.sampled.Mixer.Info

Enclosing interface:
  Mixer

    public static class Mixer.Info
    extends Object

The `Mixer.Info` class represents information about an audio mixer, including the product's name, version, and vendor, along with a textual description. This information may be retrieved through the `getMixerInfo` method of the `Mixer` interface.

Since:
  1.3

## Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `Info​(String name, String vendor, String description, String version)` | Constructs a mixer's info object, passing it the given textual information.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object obj)` | Indicates whether the specified object is equal to this info object, returning `true` if the objects are the same.
`String` | `getDescription()` | Obtains the description of the mixer.
`String` | `getName()` | Obtains the name of the mixer.
`String` | `getVendor()` | Obtains the vendor of the mixer.
`String` | `getVersion()` | Obtains the version of the mixer.
`int` | `hashCode()` | Returns a hash code value for this info object.
`String` | `toString()` | Provides a string representation of the mixer info.

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Info

protected Info​(String name, String vendor, String description, String version)
Constructs a mixer's info object, passing it the given textual information.

Parameters:
  `name` - the name of the mixer
  `vendor` - the company who manufactures or creates the hardware or software mixer
  `description` - descriptive text about the mixer
  `version` - version information for the mixer

## Method Details

### equals

public final boolean equals​(Object obj)
Indicates whether the specified object is equal to this info object, returning `true` if the objects are the same.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the reference object with which to compare
Returns:
  `true` if the specified object is equal to this info object; `false` otherwise
See Also:
  `Object.hashCode()`, `HashMap`

### hashCode

public final int hashCode()
Returns a hash code value for this info object.

Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code value for this info object
See Also:
  `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

### getName

public final String getName()
Obtains the name of the mixer.

Returns:
  a string that names the mixer

### getVendor

public final String getVendor()
Obtains the vendor of the mixer.

Returns:
  a string that names the mixer's vendor

### getDescription

public final String getDescription()
Obtains the description of the mixer.

Returns:
  a textual description of the mixer

### getVersion

public final String getVersion()
Obtains the version of the mixer.

Returns:
  textual version information for the mixer

### toString

public final String toString()
Provides a string representation of the mixer info.

Overrides:
  `toString` in class `Object`
Returns:
  a string describing the info object